﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Input;
using Telerik.Windows.Controls;

namespace PanelBar_HowToHierarchicalData
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			this.radPanelBar.ItemsSource = MyViewModel.GenerateItems();
		}

        private void ContextMenu_Opened(object sender, RoutedEventArgs e)
        {
            RadPanelBarItem panelBarItem = (sender as RadContextMenu).GetClickedElement<RadPanelBarItem>();

            if (panelBarItem == null)
            {
                (sender as RadContextMenu).IsOpen = false;
                return;
            }

            if (!panelBarItem.IsSelected)
            {
                radPanelBar.SelectedItems.Clear();
                radPanelBar.SelectedItems.Add(panelBarItem.Item);
            }

        }

        private void ContextMenu_ItemClick(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            RadMenuItem item = e.OriginalSource as RadMenuItem;
            if ((item == null))
            {
                return;
            }
            switch (item.Header.ToString())
            {
                case "Rename":
                    this.Rename();
                    break;
                case "Delete":
                    break;
                case "Select":
                    break;
            }

        }

        private void Rename()
        {
            RadPanelBarItem panelBarItem = this.radPanelBar.SelectedContainer as RadPanelBarItem;
            panelBarItem.HeaderTemplate = this.Resources["ItemEditTemplate"] as DataTemplate;

        }

        private void radPanelBar_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                RadPanelBarItem panelBarItem = this.radPanelBar.SelectedContainer as RadPanelBarItem;
                panelBarItem.HeaderTemplate = this.Resources["PanelBarHeaderTemplate"] as DataTemplate;
            }
        }
	}
}
