﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace PanelBar_HowToHierarchicalData
{
	class MyViewModel :ViewModelBase
	{
		public MyViewModel()
		{
			this.RelatedItems = new ObservableCollection<object>();
		}
        private string title;
        public string Title
        {
            get
            {
                return this.title;
            }
            set
            {
                if (this.title != value)
                {
                    this.title = value;
                    OnPropertyChanged("Title");
                }
            }
        }
        
		public DateTime DateCreated { get; set; }
		public double Price { get; set; }
		public IList<object> RelatedItems { get; set; }

		public static IList<object> GenerateItems()
		{
			var result = new ObservableCollection<object>();
			foreach (var num in Enumerable.Range(1, 5))
			{
				var item = new MyViewModel();
				item.DateCreated = DateTime.Today.AddDays(-num % 15);
				item.Price = num * 100 + Convert.ToDouble(num) / 100;
				item.Title = String.Format("Item {0}", num);
				for (int i = 0; i < 5; i++)
				{
					var child = new MyViewModel();
					child.DateCreated = DateTime.Today.AddDays(-num % 5 - i);
					child.Price = num * 100 + Convert.ToDouble(num + i) / 100;
					child.Title = String.Format("Item {0}.{1}", num, i);
					item.RelatedItems.Add(child);
				}
				result.Add(item);
			}
			return result;
		}
	}
}
